Skip to main content
Template Operations

Clone global template

<small>Requires an API token with the Template Manager role.</small>

POST
/global-templates/clone

Clones a global template into your account. The cloned template will be published by default so that you can immediately create documents from it using the create document from template endpoint.

The terms_confirmed field must be set to true to acknowledge that you have read and accepted the terms associated with the global template (such as author attribution and licensing requirements).

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
global_template_uuidstringrequired

UUID of the global template to clone into your account

namestring | null

Optional name for the cloned template. If omitted, the name of the global template will be used

Maximum string length: 255
Example: Employment Contract
publishedboolean | null

Whether to publish the cloned template immediately. Defaults to true

Example: true
team_uuidsstring[] | null

UUIDs of the teams to assign to the cloned template

terms_confirmedbooleanrequired

Must be true to confirm acceptance of the global template's terms (author attribution, licensing)

Response

application/json

TemplateMinimalResource

dataobjectrequired